<?xml version="1.0" encoding="UTF-8"?><HRESERVER desc_thai="ผู้จองการอบรม" desc_eng="HRESERVER" editcheck="true" mainhelp="HRESERVERHELP" referhelp="HRESERVERHELP" mainkey="TRAININGID" fieldsystem="*" deleteflag="true" protype="table" config_field="">
	<FIELD>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>5</WIDTH>
			<REFER_DATA>TRESERVER.COMPANYID</REFER_DATA>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		<RESERVERID lang="A" encrypt="false" verify="false" log="false" type="String">
				<KEY>2</KEY>
				<!--RELATION>MEMPLOYEE</RELATION-->
				<REFER_DATA>TRESERVER.RESERVERID</REFER_DATA>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Reserver ID</DESC_ENG>
				<DESC_THAI>รหัสผู้จอง</DESC_THAI>
				<COMPONENT type="text">
				<HELP>PRU038HELP1</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Reserver ID</ALT_ENG>
					<ALT_THAI>รหัสผู้จอง</ALT_THAI>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</RESERVERID>
		<TRAININGID lang="A" encrypt="false" verify="false" log="false" type="String">
				<KEY>3</KEY>
				<RELATION>HTRAINING</RELATION>
				<REFER_DATA>TRESERVER.TRAININGID</REFER_DATA>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Training ID</DESC_ENG>
				<DESC_THAI>รหัสรุ่น</DESC_THAI>
				<COMPONENT type="text">
					<!--HELP>TRA038HELP1</HELP-->
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Training ID</ALT_ENG>
					<ALT_THAI>รหัสรุ่น</ALT_THAI>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</TRAININGID>
		<RESDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>12</WIDTH>
			<REFER_DATA>TRESERVER.RESDATE</REFER_DATA>
			<DESC_ENG>Reserve date</DESC_ENG>
			<DESC_THAI>วันที่จอง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>12</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Reserve date</ALT_ENG>
				<ALT_THAI>วันที่จอง</ALT_THAI>
			</COMPONENT>
		</RESDATE>
		<RESTYPE lang="A" encrypt="false" verify="false" log="false" type="String">
				<WIDTH>1</WIDTH>
				<REFER_DATA>TRESERVER.RESTYPE</REFER_DATA>
				<DESC_ENG>Reserver type</DESC_ENG>
				<DESC_THAI>ประเภทผู้จอง</DESC_THAI>
				<VALIDCODE>reserver</VALIDCODE>
				<COMPONENT type="text">
					<MAXSIZE>1</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>Reserver type</ALT_ENG>
					<ALT_THAI>ประเภทผู้จอง</ALT_THAI>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</RESTYPE>
		<STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
				<WIDTH>1</WIDTH>
				<REFER_DATA>TRESERVER.STATUS</REFER_DATA>
				<DESC_ENG>Status</DESC_ENG>
				<DESC_THAI>สถานะการจอง</DESC_THAI>
				<COMPONENT type="list">
					<MAXSIZE>1</MAXSIZE>
					<SIZE>5</SIZE>
					<ALT_ENG>Status</ALT_ENG>
					<ALT_THAI>สถานะการจอง</ALT_THAI>
					<VALIDCODE>status_trainee</VALIDCODE>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</STATUS>
		<BU1 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<REFER_DATA>TRESERVER.BU1</REFER_DATA>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU1HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 1</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU2</RELATION>
			<REFER_DATA>TRESERVER.BU2</REFER_DATA>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU2HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 2</ALT_THAI>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU3</RELATION>
			<REFER_DATA>TRESERVER.BU3</REFER_DATA>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU3HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 3</ALT_THAI>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU4</RELATION>
			<REFER_DATA>TRESERVER.BU1</REFER_DATA>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU4HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 4</ALT_THAI>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU5</RELATION>
			<REFER_DATA>TRESERVER.BU5</REFER_DATA>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<HELP>MBU5HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 5</ALT_THAI>
			</COMPONENT>
		</BU5>
		<JOB lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MJOBCODE</RELATION>
			<REFER_DATA>TRESERVER.JOB</REFER_DATA>
			<DESC_ENG>Job Code</DESC_ENG>
			<DESC_THAI>รหัสงาน</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MJOBCODEHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Job Code</ALT_ENG>
				<ALT_THAI>รหัสงาน</ALT_THAI>
			</COMPONENT>
		</JOB>
		<EMP_GROUP lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MGROUP</RELATION>
			<REFER_DATA>TRESERVER.EMP_GROUP</REFER_DATA>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MGROUPHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_GROUP>
		<EMP_LEVEL lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MUSER_LEVEL</RELATION>
			<REFER_DATA>TRESERVER.EMP_LEVEL</REFER_DATA>
			<DESC_ENG>Employee Level</DESC_ENG>
			<DESC_THAI>ระดับของพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Level</ALT_ENG>
				<ALT_THAI>ระดับของพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_LEVEL>
		<EMP_POSITION lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MPOSITION</RELATION>
			<REFER_DATA>TRESERVER.MPOSITION</REFER_DATA>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</EMP_POSITION>
		<BRANCH lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MBRANCH</RELATION>
			<REFER_DATA>TRESERVER.BRANCH</REFER_DATA>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBRANCHHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Company</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</BRANCH>
		 <BOSSID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<REFER_DATA>TRESERVER.BOSSID</REFER_DATA>
			<DESC_ENG>Boss ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงานที่เป็นหัวหน้า</DESC_THAI>
			<SALARY>true</SALARY>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Boss ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงานที่เป็นหัวหน้า</ALT_THAI>
			</COMPONENT>
		</BOSSID>
		<SALATYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MSALATYPE0</RELATION>
			<REFER_DATA>TRESERVER.SALATYPE</REFER_DATA>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>ระยะเวลาการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>ระยะเวลาการจ่ายเงินเดือน</ALT_THAI>
				<HELP>MSALATYPE0HELP</HELP>
				<HELP_RETURN_FIELD>false</HELP_RETURN_FIELD>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</SALATYPE>
		<WORKAREA lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MWORKAREA</RELATION>
			<REFER_DATA>TRESERVER.WORKAREA</REFER_DATA>
			<DESC_ENG>Workinq Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MWORKAREAHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Workinq Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<REMARKS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<REFER_DATA>TRESERVER.REMARKS</REFER_DATA>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>5</LINES>
				<ALT_ENG>Remark</ALT_ENG>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
			</COMPONENT>
		</REMARKS>
	</FIELD>
	<RELATION>
		<MEMPLOYEE>
			<PARENT>HRESERVER.RESERVERID</PARENT>
			<PARENT>HRESERVER.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>
		<V2MEMPLOYEE>
			<PARENT>HRESERVER.BOSSID</PARENT>
			<PARENT>HRESERVER.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</V2MEMPLOYEE>
	</RELATION>
</HRESERVER>
